# $Revision: 1.31 $, $Date: 2010/03/01 16:34:01 $
#
# Conditional build:
%bcond_without	fcgi	# build estseek.fcgi
%bcond_without	java	# Java bindings
%bcond_without	ruby	# Ruby bindings
%bcond_without	static_libs	# don't build static libraries
#
%ifnarch i586 i686 pentium3 pentium4 athlon %{x8664}
%undefine with_java
%endif
Summary:	Full-text search system
Summary(pl.UTF-8):	Pełnotekstowy system wyszukiwawczy
Name:		hyperestraier
Version:	1.4.13
Release:	2
License:	LGPL
Group:		Applications/Text
Source0:	http://dl.sourceforge.net/hyperestraier/%{name}-%{version}.tar.gz
# Source0-md5:	847aefb9e23266545280378d797f3981
Source1:	%{name}.sh
Patch0:		%{name}-am_ac.patch
Patch1:		%{name}-ruby1.9.patch
URL:		http://hyperestraier.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_fcgi:BuildRequires:	fcgi-devel}
%{?with_java:BuildRequires:	jdk}
%{?with_java:BuildRequires:	jpackage-utils}
BuildRequires:	libtool
BuildRequires:	qdbm-devel >= 1.8.75
%{?with_java:BuildRequires:	rpmbuild(macros) >= 1.300}
%{?with_ruby:BuildRequires:	ruby-devel}
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
Hyper Estraier is a full-text search system. You can search lots of
documents for some documents including specified words. If you run a
web site, it is useful as your own search engine for pages in your
site. Also, it is useful as search utilities of mail boxes and file
servers.

The characteristic of Hyper Estraier is the following:
 - High performance of search
 - High scalability of target documents
 - Perfect recall ratio by N-gram method
 - High precision by hybrid mechanism of N-gram and morphological
   analyzer
 - Phrase search, regular expressions, attribute search, and similarity
   search
 - Multilingualism with Unicode
 - Independent of file format and repository
 - Simple and powerful API
 - Supporting P2P architecture

%description -l pl.UTF-8
Hyper Estraier to system wyszukiwania pełnotekstowego. Pozwala
przeszukiwać wiele dokumentów, aby odnaleźć dokumenty zawierające
podane słowa. W przypadku uruchomienia na stronie WWW, może być
przydatny jako własna wyszukiwarka stron we własnym serwisie. Jest
przydatny także do przeszukiwania skrzynek pocztowych i serwerów
plików.

Charakterystyka Hyper Estraiera:
 - duża wydajność przeszukiwania
 - duża skalowalność dokumentów docelowych
 - doskonały współczynnik odwołań przy użyciu metody N-gramowej
 - wysoka precyzja przy użyciu hybrydowego mechanizmu N-gramowego i
   analizatora morfologicznego
 - wyszukiwanie fraz, wyrażeń regularnych, atrybutów oraz podobieńst
 - wielojęzyczność z Unicode
 - niezależność od formatu plików i repozytorium
 - proste i potężne API
 - obsługa architektury P2P

%package libs
Summary:	hyperestraier libraries
Summary(pl.UTF-8):	Biblioteki hyperestraiera
Group:		Libraries

%description libs
hyperestraier libraries - full-text search system.

%description libs -l pl.UTF-8
Biblioteki hyperestraiera - pełnotekstowego systemu wyszukiwawczego.

%package devel
Summary:	Header files for hyperestraier library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki hyperestraier
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This is the package containing the header files for hyperestraier
library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki hyperestraier.

%package static
Summary:	Static hyperestraier library
Summary(pl.UTF-8):	Statyczna biblioteka hyperestraier
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static hyperestraier library.

%description static -l pl.UTF-8
Statyczna biblioteka hyperestraier.

%package javanative
Summary:	Java native bindings for hyperestraier
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description javanative
Java native bindings for hyperestraier.

%package javapure
Summary:	Java pure bindings for hyperestraier
License:	BSD-style
Group:		Development/Libraries

%description javapure
Java pure bindings for hyperestraier.

%package rubynative
Summary:	Ruby native bindings for hyperestraier
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%ruby_ver_requires_eq

%description rubynative
Ruby native bindings for hyperestraier.

%package rubypure
Summary:	Ruby pure bindings
License:	BSD-style
Group:		Development/Libraries
%ruby_ver_requires_eq

%description rubypure
Ruby pure bindings for hyperestraier.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-fcgi=%{?with_fcgi:yes}%{!?with_fcgi:no} \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make}

%if %{with java}
export JAVA_HOME="%{java_home}"
cd javanative
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make}
cd -

cd javapure
%{__aclocal}
%{__autoconf}
%configure
%{__make}
cd -
%endif

%if %{with ruby}
cd rubynative
%{__aclocal}
%{__autoconf}
%configure
%{__make}
cd -

cd rubypure
%{__aclocal}
%{__autoconf}
%configure
%{__make}
cd -
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with java}
%{__make} -C javanative install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C javapure install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with ruby}
%{__make} -C rubynative install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C rubypure install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

install %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	javanative -p /sbin/ldconfig
%postun	javanative -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README THANKS hyperestraier.sh
%attr(755,root,root) %{_bindir}/estbutler
%attr(755,root,root) %{_bindir}/estcall
%attr(755,root,root) %{_bindir}/estcmd
%attr(755,root,root) %{_bindir}/estload
%attr(755,root,root) %{_bindir}/estmaster
%attr(755,root,root) %{_bindir}/estmttest
%attr(755,root,root) %{_bindir}/estwaver
%attr(755,root,root) %{_bindir}/estwolefind
# don't move cgi binaries to /usr/lib/cgi-bin - write your own wrapper
# (shell script) instead, utilize SCRIPT_NAME env. var. and put into
# your cgi-bin directory
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/*.cgi
%{?with_fcgi:%attr(755,root,root) %{_libexecdir}/*.fcgi}
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
# config templates - don't add to %%config, don't move it to /etc
%{_datadir}/%{name}/estseek.conf
%{_datadir}/%{name}/estseek.tmpl
%{_datadir}/%{name}/estseek.top
%{_datadir}/%{name}/estseek.help
%{_datadir}/%{name}/estresult.dtd
%{_datadir}/%{name}/estraier.idl
%{_datadir}/%{name}/estfraud.conf
%{_datadir}/%{name}/estproxy.conf
%{_datadir}/%{name}/estscout.conf
%{_datadir}/%{name}/estsupt.conf
%dir %{_datadir}/%{name}/filter
%{_datadir}/%{name}/filter/estfxmantotxt
%{_datadir}/%{name}/filter/estfxmsotohtml
%{_datadir}/%{name}/filter/estfxasis
%{_datadir}/%{name}/filter/estfxpdftohtml
%{_datadir}/%{name}/filter/estwnetxpnd
%{_datadir}/%{name}/filter/estfxxdwtotxt
%dir %{_datadir}/%{name}/increm
%{_datadir}/%{name}/increm/estseek-frame.html
%{_datadir}/%{name}/increm/estseek-form.html
%dir %{_datadir}/%{name}/locale
%lang(ja) %dir  %{_datadir}/%{name}/locale/ja
%lang(ja) %{_datadir}/%{name}/locale/ja/estseek.conf
%lang(ja) %{_datadir}/%{name}/locale/ja/estseek.help
%lang(ja) %{_datadir}/%{name}/locale/ja/estseek.tmpl
%lang(ja) %{_datadir}/%{name}/locale/ja/estseek.top

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libestraier.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/estconfig
%attr(755,root,root) %{_libdir}/libestraier.so
%{_libdir}/libestraier.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc
%{_mandir}/man3/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libestraier.a
%endif

%if %{with java}
%files javanative
%defattr(644,root,root,755)
%{_libdir}/estraier.jar
%attr(755,root,root) %{_libdir}/libjestraier.so.*.*.*
%attr(755,root,root) %{_libdir}/libjestraier.so
%{_libdir}/libjestraier.la
%{?with_static_libs:%{_libdir}/libjestraier.a}

%files javapure
%defattr(644,root,root,755)
%{_libdir}/estraierpure.jar
%endif

%if %{with ruby}
%files rubynative
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/estcmd.rb
%attr(755,root,root) %{ruby_sitearchdir}/estraier.so

%files rubypure
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/estcall.rb
%{ruby_sitelibdir}/estraierpure.rb
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hyperestraier.spec,v $
Revision 1.31  2010/03/01 16:34:01  baggins
- rel 2
- use ruby 1.9 compatible macros

Revision 1.30  2008/07/16 21:00:25  twittner
- up to 1.4.13
- updated -am_ac.patch

Revision 1.29  2007/03/09 22:29:48  twittner
- up to 1.4.10

Revision 1.28  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.26  2006/11/12 14:16:12  twittner
- up to 1.4.9

Revision 1.25  2006/10/30 21:42:41  twittner
- up to 1.4.7

Revision 1.24  2006/09/19 22:43:08  glen
- fix java build

Revision 1.23  2006/09/19 17:03:49  twittner
- up t 1.4.4

Revision 1.22  2006/09/12 19:16:43  twittner
- build with java only for i586 i686 pentium3 pentium4 athlon %{x8664}

Revision 1.21  2006/09/12 18:47:04  twittner
- undefine with_java on !x86.*
- rel. 2

Revision 1.20  2006/09/12 17:04:43  twittner
- up to 1.4.3

Revision 1.19  2006/09/09 00:10:30  twittner
- up to 1.4.2

Revision 1.18  2006/09/01 18:12:13  twittner
- up to 1.3.6

Revision 1.17  2006/05/20 10:15:48  twittner
- toggle java bcond (on)

Revision 1.16  2006/05/14 08:26:47  twittner
- up to 1.2.6

Revision 1.15  2006/05/07 20:09:12  twittner
- up to 1.2.5

Revision 1.14  2006/05/01 12:30:59  twittner
- up to 1.2.4

Revision 1.13  2006/04/29 13:59:06  twittner
- %%files fixed: omitted lib*.a and lib*.la files, moved libjestraier* to
  proper place (javanative subpackage)
- ldconfig invokation for -javanative subpkg. added
- unnecessary inner dependencies killed: {java,ruby}pure subpkg. don't
  require hyperestraier-libs
- bcond_without fcgi and appropriate BR added
- am_ac.patch: `--enable-fcgi' configure switch and appropriate tests added
- bcond_without static_libs added
- rel. 1

Revision 1.12  2006/04/22 13:46:21  twittner
- up to 1.2.3

Revision 1.11  2006/04/21 21:17:32  twittner
- more verbose summaries/description
- don't rm nonexistent files in %%install

Revision 1.10  2006/04/21 20:47:21  twittner
- add am_ac.patch: FLAGS and library paths fixes (most ugly Makefiles.in
  replaced with Makefiles.am)
- missing packages added: {java,ruby}(native,pure}
- build also fcgi
- rel. 0.2 (untested)

Revision 1.9  2006/04/20 21:27:16  twittner
- up to 1.2.2

Revision 1.8  2006/04/20 21:20:05  twittner
- estconfig belongs to -devel

Revision 1.7  2006/04/20 18:13:17  twittner
- rel. 1

Revision 1.6  2006/04/17 15:00:04  twittner
- added my own script for making searchable sites with hyperestraier

Revision 1.5  2006/04/14 13:57:44  qboosh
- pl

Revision 1.4  2006/04/10 21:27:42  twittner
- up to 1.2.1

Revision 1.3  2006/04/07 08:08:14  spider
- adapter

Revision 1.2  2006/04/06 19:05:36  darekr
- missing dir

Revision 1.1  2006/04/06 18:52:41  twittner
- added
